## org.firebirdsql.encodings
Class Encoding_NotOneByte

    java.lang.Object
      org.firebirdsql.encodings.Encoding_NotOneByte

All Implemented Interfaces:
  Encoding

    public class Encoding_NotOneByte

extends Object
implements Encoding

Constructor Summary
`Encoding_NotOneByte(String encoding)`
`Encoding_NotOneByte(String encoding, char[] charMapping)`

Method Summary
`String` `decodeFromCharset(byte[] in)`
`int` `decodeFromCharset(byte[] in, int off, int len, char[] out)`
`int` `encodeToCharset(char[] in, int off, int len, byte[] out)`
`byte[]` `encodeToCharset(String in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encoding_NotOneByte

    public Encoding_NotOneByte(String encoding)

### Encoding_NotOneByte

    public Encoding_NotOneByte(String encoding,
                               char[] charMapping)

Method Detail

### encodeToCharset

    public byte[] encodeToCharset(String in)

  Specified by:
    `encodeToCharset` in interface `Encoding`

### encodeToCharset

    public int encodeToCharset(char[] in,
                               int off,
                               int len,
                               byte[] out)

### decodeFromCharset

    public String decodeFromCharset(byte[] in)

  Specified by:
    `decodeFromCharset` in interface `Encoding`

### decodeFromCharset

    public int decodeFromCharset(byte[] in,
                                 int off,
                                 int len,
                                 char[] out)

Copyright © 2001-2010. All Rights Reserved.